I figured I'd post this since I didn't find anything on it, doesn't appear a duplicate, and I think it's related to some other issues that are mentioned here List of error in Commons 7.x-3.x-dev rel. 20 Oct 2012

Notice: Array to string conversion in EntityAPIControllerExportable->applyConditions() (line 624 of C:\xampp\htdocs\profiles\commons\modules\contrib\entity\includes\entity.controller.inc)..

Edit: I think it might have something to do with the customizing layout tool that is displayed on both home page and group pages, but I'm not sure what it's called other than it's related to panels I believe.

  • Commons 7.x-3.x-dev rel. 20 Oct 2012
  • Win7 Home Premium
  • Apache 2.4.3
  • MySql 5.5.27
  • PHP 5.4.7
  • Mozilla/5.0 (Windows NT 6.1; WOW64; rv:16.0) Gecko/20100101 Firefox/16.0
  • Web only/no Drush


jpontani’s picture

Upon doing some fresh installs today to finish out some other stuff, I found out that this is only related to the version of PHP being run. If you run 5.4 or higher then you get this error. I was running 5.4.4 and got the error, but changing to 5.3.14 and I no longer got the error during install or any other step.

ezra-g’s picture

Status:Active» Fixed

Status:Fixed» Closed (fixed)

Automatically closed -- issue fixed for 2 weeks with no activity.

Anonymous’s picture

Issue summary:View changes

I thought it was important to add this observation.